python-geopy_1.11.0+ds1-1_all.deb


Advertisement

Description

python-geopy - geocoding toolbox for Python

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-geopy
Package version: 1.11.0+ds1
Package release: 1
Package architecture: all
Package type: deb
Installed size: 231 B
Download size: 37.51 KB
Official Mirror: archive.ubuntu.com
geopy makes it easy for developers to locate the coordinates of addresses, cities, countries, and landmarks across the globe using third-party geocoders and other sources of data, such as wikis. It also comes with the necessary means for parsing geographical coordinates and geodesic distance calculation (using great-circle distance or Vincenty distance). The distance module also contains useful routines for converting between length and angle units.

Alternatives

    Download

    Source package: geopy

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-geopy deb package:
      # sudo apt-get install python-geopy

    Files

    • /usr/lib/python2.7/dist-packages/geopy/__init__.py
    • /usr/lib/python2.7/dist-packages/geopy/compat.py
    • /usr/lib/python2.7/dist-packages/geopy/distance.py
    • /usr/lib/python2.7/dist-packages/geopy/exc.py
    • /usr/lib/python2.7/dist-packages/geopy/format.py
    • /usr/lib/python2.7/dist-packages/geopy/location.py
    • /usr/lib/python2.7/dist-packages/geopy/point.py
    • /usr/lib/python2.7/dist-packages/geopy/units.py
    • /usr/lib/python2.7/dist-packages/geopy/util.py
    • /usr/lib/python2.7/dist-packages/geopy-1.11.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/geopy-1.11.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/geopy-1.11.0.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/geopy-1.11.0.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/__init__.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/arcgis.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/baidu.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/base.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/bing.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/databc.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/dot_us.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/geocodefarm.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/geonames.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/googlev3.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/ignfrance.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/navidata.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/opencage.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/openmapquest.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/osm.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/photon.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/placefinder.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/smartystreets.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/what3words.py
    • /usr/lib/python2.7/dist-packages/geopy/geocoders/yandex.py
    • /usr/share/doc/python-geopy/changelog.Debian.gz
    • /usr/share/doc/python-geopy/copyright

    Changelog

    2015-11-06 - Daniele Tricoli <eriol@mornie.org> geopy (1.11.0+ds1-1) unstable; urgency=medium * New upstream release. * Remove prebuilt python objects. * debian/control - Update Homepage field. - Update Vcs fields for git migration. * debian/copyright - Update copyright years. - Use Files-Excluded to remove shipped prebuilt python objects. - Change upstream copyright holders to reflect license file update. * debian/watch - Use pypi.debian.net redirector.

    2014-10-22 - Daniele Tricoli <eriol@mornie.org> geopy (1.3.0-1) unstable; urgency=medium * New upstream release. * debian/control - Bump Standards-Version to 3.9.6 (no changes needed). - Add python{,3}-tz to Reccomends since Google geocoder needs them to locate timezones. * debian/copyright - Update upstream copyright years. - Update Upstream-Contact. * debian/rules - Use PYBUILD_NAME instead of PYBUILD_DESTDIR_python{2,3}.

    2014-03-31 - Daniele Tricoli <eriol@mornie.org> geopy (0.99-1) unstable; urgency=medium * New upstream release

    2014-03-08 - Daniele Tricoli <eriol@mornie.org> geopy (0.98.3-1) unstable; urgency=medium * New upstream release

    2014-02-13 - Daniele Tricoli <eriol@mornie.org> geopy (0.98-1) unstable; urgency=medium * New upstream release * Switched to pybuild * debian/control - Bumped Standards-Version to 3.9.5 (no changes needed) - Removed python-beautifulsoup from (Build-)Depends since not used anymore - Added python(3)-requests and python(3)-requests-oauthlib to Recommends since YahooPlaceFinder geocoder needs them - Removed python-nose from Build-Depends since tests are not shipped anymore * debian/copyright - Updated copyright year * debian/patches/01_add_missing_test_file.patch - Removed since no more used upstream * debian/patches/02_fix_missing_imports.patch: - Removed since upstream removed MediaWiki and SemanticMediaWiki geocoders * debian/patches/03_fix_typo.patch - Removed since upstream removed SemanticMediaWiki geocoder and Geohash module * debian/patches/04_use_lt_and_eq_instead_of_cmp.patch - Refreshed

    2013-06-24 - Daniele Tricoli <eriol@mornie.org> geopy (0.95.1-1) unstable; urgency=low [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. * Run tests only if DEB_BUILD_OPTIONS=nocheck is not set. [ Daniele Tricoli ] * New upstream release (Closes: #711532) - With Python3 support * Builded Python3 package * debian/compat - Bumped debhelper compatibility level to 9 * debian/control - Bumped debhelper B-D to (>= 9) - Bumped Standards-Version to 3.9.4 (no changes needed) - Added python3-all and python3-setuptools to BD - Added python3-geopy stanza - Updated Homepage * debian/patches/01_add_missing_test_file.patch - Added missing file required by unittests * debian/patches/02_fix_missing_imports.patch - Fix missing imports * debian/patches/03_fix_typo.patch - Fix some typos * debian/patches/04_use_lt_and_eq_instead_of_cmp.patch - Use __lt__() and __eq__() instead of __cmp__() and cmp() * debian/rules - Reworked for Python3 package

    2012-03-13 - Daniele Tricoli <eriol@mornie.org> geopy (0.94.2-1) unstable; urgency=low * Initial release (Closes: #452093)

    Advertisement
    Advertisement